## cascading.tap.hadoop.io
Class StreamedFileSystem

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.fs.FileSystem
              cascading.tap.hadoop.io.StreamedFileSystem

All Implemented Interfaces:
  Closeable, Configurable

Direct Known Subclasses:
  HttpFileSystem

    public abstract class StreamedFileSystem

extends FileSystem

Class StreamedFileSystem is a base class for `FileSystem` implementations that manage remote resources.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem
`FileSystem.Statistics`

Field Summary

Fields inherited from class org.apache.hadoop.fs.FileSystem
`FS_DEFAULT_NAME_KEY, LOG, statistics`

Constructor Summary
`StreamedFileSystem()`

Method Summary
`FSDataOutputStream` `append(Path f, int bufferSize, Progressable progress)`
`FSDataOutputStream` `create(Path path, FsPermission permission, boolean overwrite, int bufferSize, short replication, long blockSize, Progressable progress)`
`boolean` `delete(Path path)` Deprecated.
`boolean` `delete(Path path, boolean b)`
`static String` `getMD5SumFor(Configuration conf, Path path)`
`static String` `getMD5SumFor(Configuration conf, String path)`
`Path` `getWorkingDirectory()`
`FileStatus[]` `listStatus(Path path)`
`boolean` `mkdirs(Path path, FsPermission fsPermission)`
`boolean` `rename(Path path, Path path1)`
`static void` `setMD5SumFor(Configuration conf, Path path, String md5Hex)`
`static void` `setMD5SumFor(Configuration conf, String path, String md5Hex)`
`void` `setWorkingDirectory(Path f)`

Methods inherited from class org.apache.hadoop.fs.FileSystem

`addFileSystemForTesting, append, append, checkPath, clearStatistics, close, closeAll, closeAllForUGI, completeLocalOutput, concat, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, createNewFile, createNonRecursive, createNonRecursive, deleteOnExit, exists, get, get, get, getAllStatistics, getBlockSize, getCacheSize, getCanonicalServiceName, getCanonicalUri, getContentSummary, getDefaultBlockSize, getDefaultBlockSize, getDefaultPort, getDefaultReplication, getDefaultReplication, getDefaultUri, getDelegationToken, getFileBlockLocations, getFileChecksum, getFileStatus, getHomeDirectory, getLength, getLocal, getName, getNamed, getReplication, getStatistics, getStatistics, getUri, getUsed, globStatus, globStatus, initialize, isDirectory, isFile, listStatus, listStatus, listStatus, makeQualified, mkdirs, mkdirs, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, open, open, printStatistics, processDeleteOnExit, setDefaultUri, setDefaultUri, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, startLocalOutput`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamedFileSystem

    public StreamedFileSystem()

Method Detail

### create

    public FSDataOutputStream create(Path path,
                                     FsPermission permission,
                                     boolean overwrite,
                                     int bufferSize,
                                     short replication,
                                     long blockSize,
                                     Progressable progress)
                              throws IOException

  Specified by:
    `create` in class `FileSystem`
  Throws:
    `IOException`

### rename

    public boolean rename(Path path,
                          Path path1)
                   throws IOException

  Specified by:
    `rename` in class `FileSystem`
  Throws:
    `IOException`

### delete

    @Deprecated
    public boolean delete(Path path)
                   throws IOException

  Deprecated.

  Specified by:
    `delete` in class `FileSystem`
  Throws:
    `IOException`

### delete

    public boolean delete(Path path,
                          boolean b)
                   throws IOException

  Specified by:
    `delete` in class `FileSystem`
  Throws:
    `IOException`

### getWorkingDirectory

    public Path getWorkingDirectory()

  Specified by:
    `getWorkingDirectory` in class `FileSystem`

### setWorkingDirectory

    public void setWorkingDirectory(Path f)

  Specified by:
    `setWorkingDirectory` in class `FileSystem`

### mkdirs

    public boolean mkdirs(Path path,
                          FsPermission fsPermission)
                   throws IOException

  Specified by:
    `mkdirs` in class `FileSystem`
  Throws:
    `IOException`

### listStatus

    public FileStatus[] listStatus(Path path)
                            throws IOException

  Specified by:
    `listStatus` in class `FileSystem`
  Throws:
    `IOException`

### append

    public FSDataOutputStream append(Path f,
                                     int bufferSize,
                                     Progressable progress)
                              throws IOException

  Specified by:
    `append` in class `FileSystem`
  Throws:
    `IOException`

### getMD5SumFor

    public static String getMD5SumFor(Configuration conf,
                                      Path path)

### getMD5SumFor

    public static String getMD5SumFor(Configuration conf,
                                      String path)

### setMD5SumFor

    public static void setMD5SumFor(Configuration conf,
                                    Path path,
                                    String md5Hex)

### setMD5SumFor

    public static void setMD5SumFor(Configuration conf,
                                    String path,
                                    String md5Hex)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.